package com.tzld.piaoquan.api.controller;

import com.tzld.piaoquan.api.model.bo.BucketDataParam;
import com.tzld.piaoquan.api.model.bo.ReplyBucketData;
import com.tzld.piaoquan.api.service.CgiReplyService;
import com.tzld.piaoquan.growth.common.common.base.CommonResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/cgi/reply")
@Slf4j
public class CgiReplyController {

    @Autowired
    private CgiReplyService cgiReplyService;

    @PostMapping("/bucketData")
    public CommonResponse<ReplyBucketData> getBucketData(@RequestBody BucketDataParam bucketDataParam) {
        ReplyBucketData replyBucketData = cgiReplyService.getRgiReplyData(bucketDataParam);
        return CommonResponse.success(replyBucketData);
    }
}
