package com.tzld.piaoquan.api.dao.mapper.contentplatform.ext;

import com.tzld.piaoquan.api.model.param.contentplatform.AccountListParam;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformAccount;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformAccountExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ContentPlatformAccountMapperExt {

    List<ContentPlatformAccount> getTelNumExists(@Param("id") Long id, @Param("telNum") String telNum);

    List<ContentPlatformAccount> getChannelExists(@Param("id") Long id, @Param("channel") String channel);

    int getAccountCount(@Param("param") AccountListParam param);

    List<ContentPlatformAccount> getAccountList(@Param("param") AccountListParam param,
                                                @Param("offset") int offset, @Param("pageSize") Integer pageSize);
}