package com.tzld.piaoquan.api.dao.mapper.contentplatform.ext;

import com.tzld.piaoquan.api.model.param.contentplatform.CooperateAccountListParam;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformAccount;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhAccount;
import com.tzld.piaoquan.api.model.vo.contentplatform.GzhAccountItem;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ContentPlatformGzhAccountMapperExt {

    List<ContentPlatformAccount> getGhIdExists(@Param("createAccountId") Long createAccountId, @Param("ghId") String ghId);

    int getCooperateAccountCount(@Param("param") CooperateAccountListParam param,
                                 @Param("createAccountId") Long createAccountId);

    List<ContentPlatformGzhAccount> getCooperateAccountList(@Param("param") CooperateAccountListParam param,
                                                            @Param("createAccountId") Long createAccountId,
                                                            @Param("offset") int offset,
                                                            @Param("pageSize") Integer pageSize);

    List<GzhAccountItem> getGzhAccountList(@Param("createAccountId") Long createAccountId);
}