package com.tzld.piaoquan.api.model.param;

import com.stuuudy.commons.external.filestorage.enums.EnumFileType;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;
@Data
public class FileUploadParam {
    @NotNull(message = "文件不能为空")
    private MultipartFile file;

    private String fileUri;

    @NotNull(message = "文件类型不能为空")
    private EnumFileType fileType;
}
