package com.tzld.piaoquan.api.service.contentplatform;

import com.tzld.piaoquan.api.model.param.contentplatform.*;
import com.tzld.piaoquan.api.model.po.contentplatform.*;
import com.tzld.piaoquan.api.model.vo.contentplatform.GzhPlanItemVO;
import com.tzld.piaoquan.api.model.vo.contentplatform.QwPlanItemVO;
import com.tzld.piaoquan.api.model.vo.contentplatform.VideoContentItemVO;
import com.tzld.piaoquan.growth.common.utils.page.Page;

import java.util.List;

public interface ContentPlatformPlanService {
    Page<GzhPlanItemVO> gzhPlanList(GzhPlanListParam param);

    void gzhPlanSave(GzhPlanSaveParam param);

    Page<VideoContentItemVO> getVideoContentList(VideoContentListParam param);

    List<String> getVideoContentCategoryList();

    List<String> getVideoContentCoverFrameList(VideoContentCoverFrameParam param);

    Page<QwPlanItemVO> qwPlanList(QwPlanListParam param);

    void qwPlanSave(QwPlanSaveParam param);

    List<ContentPlatformGzhPlan> getGzhPlanListByCooperateAccountId(Long accountId);

    List<ContentPlatformGzhPlanVideo> getGzhPlanVideoListByCooperateAccountId(String ghId);

    List<ContentPlatformQwPlan> getQwPlanListByRootSourceIds(List<String> rootSourceIds);

    List<ContentPlatformQwPlanVideo> getQwPlanVideoListByPlanIds(List<Long> planIds);

}
