package com.tzld.piaoquan.api.controller;

import com.tzld.piaoquan.api.annotation.JwtIgnore;
import com.tzld.piaoquan.api.annotation.NoRequestLog;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/")
public class IndexController {

    /**
     * 探活
     *
     * @return
     */
    @JwtIgnore()
    @GetMapping("/healthcheck")
    @NoRequestLog
    public String healthcheck() {
        return "ok";
    }
}
