package com.tzld.piaoquan.api.controller;


import com.tzld.piaoquan.growth.common.common.base.CommonResponse;
import com.tzld.piaoquan.growth.common.model.po.PreSpecialSendMessage;
import com.tzld.piaoquan.growth.common.model.vo.GuaranteedParam;
import com.tzld.piaoquan.growth.common.service.MessageAttachmentService;
import com.tzld.piaoquan.growth.common.service.MessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/wecom/message")
public class MessageController {

    @Autowired
    private MessageAttachmentService messageAttachmentService;

    @Autowired
    private MessageService messageService;

    //创建保底小程序
    @PostMapping("/miniprogram/guaranteed/create")
    public CommonResponse<Void> createGuaranteedMiniProgram(@RequestBody GuaranteedParam guaranteedParam) {
        return messageAttachmentService.createGuaranteedMiniProgram(guaranteedParam);
    }

    //创建保底小程序
    @PostMapping("/preSpecialAssembleSendMessage/create")
    public CommonResponse<Void> createPreSpecialAssembleSendMessage(@RequestBody List<PreSpecialSendMessage> preSpecialSendMessage) {
        return messageService.createPreSpecialAssembleSendMessage(preSpecialSendMessage);
    }

}
