package com.tzld.piaoquan.growth.common.utils;

import org.apache.commons.lang3.StringUtils;

import static com.tzld.piaoquan.growth.common.common.constant.MessageConstant.defaultName;

public class MessageUtil {

    public static Long getVideoId(String page) {
        String translate = URLUtil.translate(page);
        if (translate.contains("id=")) {
            String videoId = translate.split("id=")[1].split("&")[0];
            if (StringUtils.isNotEmpty(videoId) && StringUtils.isNumeric(videoId)) {
                return Long.parseLong(videoId);
            }
        }
        return null;
    }

    public static String getRootSourceId(String page) {
        String translate = URLUtil.translate(page);
        if (translate.contains("rootSourceId=")) {
            String rootSourceId = translate.split("rootSourceId=")[1].split("&")[0];
            if (StringUtils.isNotEmpty(rootSourceId)) {
                return rootSourceId;
            }
        }
        return null;
    }

    public static String getName(String remark) {
        return String.format(defaultName, DateUtil.getDayDateString("MMdd"), remark);
    }

}
